Subject: Re: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2019 08:55:25 +0300

> From: Carlos Pita <[email-masked]>
> Date: Sat, 19 Oct 2019 17:46:26 -0300
> 
> (let* ((minibuffer-auto-raise (or server-raise-frame
>   minibuffer-auto-raise))
> ...
>   (set-buffer (find-file-noselect filen))
> ...
> 
> The problem is that if, for example, I open a bash shell in the tty
> buffer, I get a message like "Indentation setup for shell type bash"
> in the X minibuffer, so the X frame is autoraised.  There are a couple
> of issues mixed here, I believe:
> 
> 1. Maybe the scope of minibuffer-auto-raise = t should be restricted
> to the revert/write operations so that focus is not stolen because of
> any "accidental" little message.
> 
> 2. The "Indentation setup for shell type bash" message clearly belongs
> to the tty frame but somehow is showing in the other frame. This seems
> harder to fix but I'm going to investigate it.

Emacs always shows echo-area messages in the selected frame.  What you
see is the result of visiting the new file in the existing frame, and
only after that creating the new frame.  This order is the result of
fixing bug#24218, which solved another unpleasant and annoying aspect
of visiting a file in a client frame.  See commit 49fc040.

The question is: can we somehow prevent your annoyance without
re-introducing that other one.

Thanks.